Trace a recall
GET
/recall
const url = 'https://app.buildtrace.eu/api/recall';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.buildtrace.eu/api/recall \ --header 'Authorization: Bearer <token>'Every unit affected by a lot (optionally of one revision), a supplier, or a component revision, including the finished units they are built into, with where each unit is now.
Required scope: production:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”revisionId
string format: uuid
lot
string
supplierId
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
object
serialIds
required
Array<string>
affectedUnits
required
The affected units with human-readable identifiers.
Array<object>
An affected unit and where it is now. Optional fields are absent when they don’t apply.
object
serialId
required
string format: uuid
serialNumber
required
string
status
required
string
partCode
string
partName
string
revisionLabel
string
locationCode
string
locationName
string
containedInSerialId
The unit this one is built into, when it is a sub-assembly.
string format: uuid
containedInSerialNumber
string
deviceIdentifier
Set when the unit is a commissioned field device.
string
deploymentStatus
string
fleetName
string
customerName
string
deploymentLocation
string
Example generated
{ "serialIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "affectedUnits": [ { "serialId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "serialNumber": "example", "status": "example", "partCode": "example", "partName": "example", "revisionLabel": "example", "locationCode": "example", "locationName": "example", "containedInSerialId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "containedInSerialNumber": "example", "deviceIdentifier": "example", "deploymentStatus": "example", "fleetName": "example", "customerName": "example", "deploymentLocation": "example" } ]}Bad request
Media typeapplication/json
object
error
required
string
Example generated
{ "error": "example"}Unauthorized